Clone
Jeff Mesnil <jmesnil@gmail.com>
committed
on 06 May 14
[WFLY-958] Messaging: enforce security for in-vm connections
* add override-in-vm-security attribute to hornetq-server.
Default value is t… Show more
[WFLY-958] Messaging: enforce security for in-vm connections

* add override-in-vm-security attribute to hornetq-server.

 Default value is true to keep the same behavior (ie in-vm connections

 overrides the security credentials). Setting it to false means that

 messaging code using in-vm connections *must* have valid user

 credentials (i.e. JMS createSession() without user/password will

 fail).

* bump messaging extension management version to 3.0.0

* bump messaging XML namespace to urn:jboss:domain:messaging:3.0

* add transformation test for messaging 3.0 XML

* add messaging-2.0.0.dmr to subsystem-test framework

JIRA: https://issues.jboss.org/browse/WFLY-958

Show less

master + 10 more